﻿<%@ Control Language="C#" Inherits="iFinity.DNN.Modules.BlogFriendlyUrlProvider.UI.Settings" AutoEventWireup="false" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<div>
    <asp:Label ID="lblHeader" runat="server" CssClass="NormalBold" />
    <table class="Normal">
        <tr>
            <td><dnn:Label id="lblBlogTitle" runat="server" ResourceKey="Title" /></td>
            <td><asp:DropDownList ID="ddlBlogTitle" runat="server" CssClass="Normal" /></td>
        </tr>
        <tr>
            <td><dnn:Label id="lblPostPath" runat="server" ResourceKey="PostPath" /></td>
            <td><asp:TextBox ID="txtPostPath" runat="server" CssClass="Normal" ></asp:TextBox></td>
        </tr>
        <tr>
            <td><dnn:Label id="lblCatPath" runat="server" ResourceKey="CatPath" /></td>
            <td><asp:TextBox ID="txtCatPath" runat="server" CssClass="Normal" ></asp:TextBox></td>
        </tr>
        <tr>
            <td><dnn:Label id="lblTagPath" runat="server" ResourceKey="TagPath" /></td>
            <td><asp:TextBox ID="txtTagPath" runat="server" CssClass="Normal" ></asp:TextBox></td>
        </tr>
        <tr>
            <td><dnn:Label id="lblDatePath" runat="server" ResourceKey="DatePath" /></td>
            <td><asp:TextBox ID="txtDatePath" runat="server" CssClass="Normal" ></asp:TextBox></td>
        </tr>
        <tr>
            <td><dnn:Label id="lblNoDnnPagePathTab" runat="server" ResourceKey="NoDnnPagePathTab" /></td>
            <td><asp:DropDownList ID="ddlNoDnnPagePathTab" runat="server" CssClass="Normal" /></td>
        </tr>
        <tr>
            <td><dnn:Label id="lblStartingEntryId" runat="server" ResourceKey="StartingEntryId" /></td>
            <td><asp:TextBox ID="txtStartingEntryId" runat="server" CssClass="Normal" /></td>
        </tr>
        <tr>
            <td><dnn:Label id="lblReturn404ForMissingEntries" runat="server" ResourceKey="Return404ForMissingEntries" /></td>
            <td><asp:CheckBox ID="chkReturn404ForMissingEntries" runat="server" CssClass="Normal" /></td>
        </tr>
        <tr runat="server" id="trReplaceChars">
            <td><dnn:Label id="lblReplaceChars" runat="server" ResourceKey="ReplaceChars" /></td>
            <td><asp:TextBox ID="txtReplaceChars" runat="server" CssClass="Normal" ></asp:TextBox></td>
        </tr>
        <tr runat="server" id="trReplaceDoubleSpaces">
            <td><dnn:Label id="lblReplaceDoubleSpaces" runat="server" ResourceKey="ReplaceDoubleSpaces" /></td>
            <td><asp:CheckBox ID="chkReplaceDoubleSpaces" runat="server" CssClass="Normal" /></td>
        </tr>      
    </table>
</div>