﻿<%@ Control Language="C#" Inherits="iFinity.PropertyAgent.ModuleFriendlyUrlProvider.UI.Settings" AutoEventWireup="false" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<div class="dnnForm"> 
    <div id="settings">
        <asp:Label ID="lblHeader" runat="server" CssClass="NormalBold" />
        <div id="tabsettingscont">
        <table class="Normal" id="tabsettings" cellpadding="0" cellspacing="0">
            <tr>
                <td><asp:Label ID="lblStartingPropertyId" runat="server" ResourceKey="StartingPropertyId" /></td>
                <td><asp:TextBox ID="txtStartingPropertyId" runat="server" /></td>
            </tr>
            <tr>
                <td><asp:Label ID="lblRedirectOldUrls" runat="server" ResourceKey="RedirectOldUrls" /></td>
                <td><asp:CheckBox ID="chkRedirectOldUrls" runat="server" /></td>
            </tr>

            <tr>
                <td colspan="2"><asp:Label id="lblTabSettings" runat="server" ResourceKey="TabSettings"/></td>
            </tr>
            <asp:Repeater ID="rptTabs" runat="server">
                <ItemTemplate>
                    <tr>
                        <td class="pap_tl pap_tr" colspan="2">
                            <asp:Label ID="lblPageName" CssClass="Normal pap_pagename" runat="server" />
                            <asp:HiddenField ID="hdnTabId" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td class="pap_l"><asp:Label ID="lblCustomFieldIds" runat="server" CssClass="Normal"/></td>
                        <td class="pap_r"><asp:Label ID="lblNoDnnPagePath" runat="server" CssClass="Normal" /></td>
                    </tr>
                    <tr>
                        <td class="pap_l"><asp:ListBox ID="ddlCustomFieldId" runat="server" CssClass="Normal" SelectionMode="Multiple" /></td>
                        <td class="pap_r"><asp:CheckBox ID="chkNoDnnPagePath" runat="server" CssClass="pap_noDnnPagePath" /></td>
                    </tr>
                    <tr>
                        <td class="pap_l"><asp:Label ID="lblPropertyTypeUrlSource" runat="server" CssClass="Normal" /></td>
                        <td class="pap_r"><asp:Label ID="lblPropertyTypeUrlStyle" runat="server" CssClass="Normal" /></td>
                    </tr>
                    <tr>
                        <td class="pap_bl"><asp:DropDownList ID="ddlPropertyTypeUrlSource" runat="server"></asp:DropDownList></td>
                        <td class="pap_br"><asp:DropDownList ID="ddlPropertyTypeUrlStyle" runat="server" CssClass="Normal" /></td>
                    </tr>
                </ItemTemplate>
            </asp:Repeater>
        </table>
        </div>
    </div>
</div>